netio_struct Struct Reference

`#include <netio.h>`

## Data Fields

netio_handler_list_type * | handlers
int | have_current_time
struct timespec | cached_current_time
netio_handler_list_type * | dispatch_next

## Detailed Description

Network I/O instance.

Definition at line 139 of file netio.h.

## Field Documentation

## cached_current_time

struct timespec netio_struct::cached_current_time

Definition at line 151 of file netio.h.

Referenced by netio_current_time().

## dispatch_next

netio_handler_list_type* netio_struct::dispatch_next

Definition at line 156 of file netio.h.

Referenced by netio_create(), netio_dispatch(), and netio_remove_handler().

## handlers

netio_handler_list_type* netio_struct::handlers

Definition at line 140 of file netio.h.

Referenced by netio_add_handler(), netio_cleanup(), netio_cleanup_shallow(), netio_create(), netio_dispatch(), and netio_remove_handler().

## have_current_time

int netio_struct::have_current_time

Definition at line 150 of file netio.h.

Referenced by netio_current_time(), and netio_dispatch().

The documentation for this struct was generated from the following file:

- src/wire/netio.h